ports/98614: [PATCH] Port databases/ruby-bdb does not build when more than one BerkeleyDB version is installed

Sven Berkvens-Matthijsse sven at ilse.net
Wed Jun 7 08:38:55 UTC 2006


>Number:         98614
>Category:       ports
>Synopsis:       [PATCH] Port databases/ruby-bdb does not build when more than one BerkeleyDB version is installed
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          sw-bug
>Submitter-Id:   current-users
>Arrival-Date:   Wed Jun 07 08:30:18 GMT 2006
>Closed-Date:
>Last-Modified:
>Originator:     Sven Berkvens-Matthijsse
>Release:        FreeBSD 4.11-STABLE i386
>Organization:
ilse media BV
>Environment:
System: FreeBSD serv7.ilse.net 4.11-STABLE FreeBSD 4.11-STABLE #0: Mon May 22 17:02:01 CEST 2006 root at serv7.ilse.net:/extra1/usr_obj/extra1/usr_src/sys/BAROQUE i386


>Description:
	The port databases/ruby-bdb does not build correctly when more than
	one version of BerkeleyDB is present on the system. The port system
	chooses the first version of BerkeleyDB that it can find, while the
	port itself chooses (via Ruby's extconf system) the newest version
	of BerkeleyDB. This results in an installed port that, when used,
	complains about a symbol 'db_version' that can't be found.
>How-To-Repeat:
	Install (for example) BerkeleyDB 4.1 and 4.2 and then build this
	port.
>Fix:
	Include WITH_BDB_HIGHEST=yes in the Makefile of this port.


>Release-Note:
>Audit-Trail:
>Unformatted:



More information about the freebsd-ports-bugs mailing list